PDA

View Full Version : imovies problem, please help!




farenden1829
Jan 5, 2013, 02:49 AM
Hi everyone,

I have iMovie HD version 6.0.3. I wanted to update it and looked on the Apple site and the latest version is iMovie 11 version 9.0.8. When I tried to upgrade it said the minimum requirements are OSX 10.7.4, I have OSX 10.6.8. Any idea if I can get the previous version or the latest one compatible with my Mac?

Thanks.